package com.dky.utils;

import java.io.*;
import java.util.Properties;

public class ConfigReader {
    private static Properties prop = new Properties();

    public static String getProperty(String key) {
        InputStream input = ConfigReader.class.getClassLoader().getResourceAsStream("modelCode.properties");
        if(input!= null) {
            try {
                prop.load(input);
            } catch (IOException e) {
                System.out.println("未找到场景配置文件");
                throw new RuntimeException(e);
            }
        }else {
            throw new RuntimeException("Failed to find modelCode.properties");
        }
        return prop.getProperty(key);
    }

}