package com.dky.utils.enums;


public enum EnergyPriceType {

    Residential_Electric_Price(0.55, "居民电价"),
    Industry_Electric_Price(1.2, "工业电价"),
    COAL_PRICE_PER_KILOGRAM(0.9, "煤炭平均价格/千克");


    /**
     * 能源价格
     */
    private final Double price;
    /**
     * 描述
     */
    private final String desc;

    public Double getPrice() {
        return price;
    }

    public String getDesc() {
        return desc;
    }

    EnergyPriceType(Double price, String desc) {
        this.price = price;
        this.desc = desc;
    }

}
