package com.dky.calculate;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CalD {

    /**
     * 改造后最大需量
     * @param lastYearNeed 上年最大需量
     * @param list 设备总功率集合
     */
    public static List<Map> getD(Double lastYearNeed, List<Map<String, Double>> list) {
        List<Map> maps = new ArrayList<>();
        list.parallelStream().forEach((s)->{
            Map<String, Double> map = new HashMap<>();
            s.forEach((k,v)->{
                map.put(k, lastYearNeed + v);
                maps.add(map);
            });
        });
        return maps;
    }



}
